import request from "/@/utils/request";

export function claimReturnRecordsApi() {
	return {
		getClaimReturnRecords: (data: {}) => {
			return request({
				url: import.meta.env.VITE_API_URL_OUT + `/equipment/material/record/page/list`,
				method: 'post',
				data
			});
		},
		returnGoods: (data: {}) => {
			return request({
				url: import.meta.env.VITE_API_URL_OUT + `/equipment/material/record/revert?a=${123}&b=${true}`,
				method: 'post',
				data
			});
		},
		refreshReturnAndNoReturn: (data: {}) => {
			return request({
				url: import.meta.env.VITE_API_URL_OUT + `/equipment/material/record/queryById`,
				method: 'post',
				data
			});
		},
	}
}
